<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Requesters/PPERFever.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d80/_p_p_e_r_fever_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPERFever.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d80/_p_p_e_r_fever_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PPERequester_FeverEffects <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab4ae3d446d01cb936eb1d7398cac936f">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab4ae3d446d01cb936eb1d7398cac936f">SetFeverIntensity</a>(<span class="keywordtype">float</span> intensity)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a>(<a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.GaussFilter,<a class="code hl_class" href="../../d4/db2/class_p_p_e_gauss_filter.html">PPEGaussFilter</a>.<a class="code hl_variable" href="../../d4/db2/class_p_p_e_gauss_filter.html#a96befc40099964527e2dea72c746ada4">PARAM_INTENSITY</a>,<span class="keyword">true</span>,intensity,<a class="code hl_class" href="../../d4/db2/class_p_p_e_gauss_filter.html">PPEGaussFilter</a>.<a class="code hl_variable" href="../../d4/db2/class_p_p_e_gauss_filter.html#a852575de9a70dc33c67635d6f2d393e1">L_0_FEVER</a>,<a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.ADD_RELATIVE);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>}</div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a055fe6645543d5aac6f214277f064eda"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></div><div class="ttdeci">PPOperators</div><div class="ttdoc">PP operator masks specify operation between subsequent layers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">PPEConstants.c:52</a></div></div>
<div class="ttc" id="a_p_p_e_request_platforms_base_8c_html_a8db48939dbad620900fd941db199cb1b"><div class="ttname"><a href="../../d5/dbe/_p_p_e_request_platforms_base_8c.html#a8db48939dbad620900fd941db199cb1b">SetTargetValueFloat</a></div><div class="ttdeci">protected void SetTargetValueFloat(int mat_id, int param_idx, bool relative, float val, int priority_layer, int operator=PPOperators.ADD_RELATIVE)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbe/_p_p_e_request_platforms_base_8c_source.html#l00588">PPERequestPlatformsBase.c:588</a></div></div>
<div class="ttc" id="aclass_p_p_e_gauss_filter_html"><div class="ttname"><a href="../../d4/db2/class_p_p_e_gauss_filter.html">PPEGaussFilter</a></div><div class="ttdoc">GaussFilter - PostProcessEffectType.GaussFilter.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da3/_p_p_e_gauss_filter_8c_source.html#l00002">PPEGaussFilter.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_gauss_filter_html_a852575de9a70dc33c67635d6f2d393e1"><div class="ttname"><a href="../../d4/db2/class_p_p_e_gauss_filter.html#a852575de9a70dc33c67635d6f2d393e1">PPEGaussFilter::L_0_FEVER</a></div><div class="ttdeci">static const int L_0_FEVER</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da3/_p_p_e_gauss_filter_8c_source.html#l00008">PPEGaussFilter.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_gauss_filter_html_a96befc40099964527e2dea72c746ada4"><div class="ttname"><a href="../../d4/db2/class_p_p_e_gauss_filter.html#a96befc40099964527e2dea72c746ada4">PPEGaussFilter::PARAM_INTENSITY</a></div><div class="ttdeci">static const int PARAM_INTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da3/_p_p_e_gauss_filter_8c_source.html#l00004">PPEGaussFilter.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html">PPERequester_GameplayBase</a></div><div class="ttdoc">base, not to be used directly, would lead to layering collisions!</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_p_p_e_r_blood_loss_8c_source.html#l00001">PPERBloodLoss.c:2</a></div></div>
<div class="ttc" id="aclass_p_p_e_requester___gameplay_base_html_ab4ae3d446d01cb936eb1d7398cac936f"><div class="ttname"><a href="../../d7/dca/class_p_p_e_requester___gameplay_base.html#ab4ae3d446d01cb936eb1d7398cac936f">PPERequester_GameplayBase::SetFeverIntensity</a></div><div class="ttdeci">void SetFeverIntensity(float intensity)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d80/_p_p_e_r_fever_8c_source.html#l00003">PPERFever.c:3</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_6d418c63ea68f562b3e3c5d3404c6a9c.html">Requesters</a></li><li class="navelem"><a class="el" href="../../d1/d80/_p_p_e_r_fever_8c.html">PPERFever.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
